<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
KeyRange Class
Members See Also Send Feedback

A class representing an estimate of the proportion of keys that are less than, equal to, and greater than a given key.

Values are in the range of 0 to 1; for example, if the field less is 0.05, 5% of the keys in the database are less than the key parameter. The value for equal will be zero if there is no matching key, and will be non-zero otherwise.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.35.0

# Syntax

C#

    public class KeyRange

Visual Basic (Declaration)

    Public Class KeyRange

Visual C++

    public ref class KeyRange

# Inheritance Hierarchy

System..::.Object
BerkeleyDB..::.KeyRange

# See Also

KeyRange Members
BerkeleyDB Namespace